Hovercards: cards display incorrectly for RTL languages
Closed, ResolvedPublic

Description

rtl-broken


Version: unspecified
Severity: major

Attached:

bzimport added a project: Popups.Via ConduitNov 22 2014, 2:54 AM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz62970.
Prtksxna created this task.Via LegacyMar 23 2014, 6:32 AM
eranroz added a comment.Via ConduitMar 27 2014, 9:52 PM

I guess it can be fixed easily by adding @noflip in css

Prtksxna added a comment.Via ConduitMar 31 2014, 1:19 PM

(Reply to Eran on Comment #1)

I guess it can be fixed easily by adding @noflip in css

Mostly that, but certain elements need more work. Will push a fix soon.

gerritbot added a comment.Via ConduitApr 1 2014, 6:19 AM

Change 122644 had a related patch set uploaded by Prtksxna:
Fix for RTL languages

https://gerrit.wikimedia.org/r/122644

gerritbot added a comment.Via ConduitApr 1 2014, 6:31 AM

Change 122644 merged by jenkins-bot:
Fix for RTL languages

https://gerrit.wikimedia.org/r/122644

Amire80 added a comment.Via ConduitApr 1 2014, 6:31 AM

Thanks for the fix!

Matanya added a comment.Via ConduitApr 7 2014, 8:16 AM

Created attachment 15033
maybe wrong alignment

I have tested it in beta, and it is fixed indeed, though i have one question, in the attached screenshot the card appears to the right of the hovered text and not on the left like the other attachment. why is this happening?

Attached:

Matanya added a comment.Via ConduitApr 7 2014, 8:16 AM

Created attachment 15034
correct alignment

Attached:

Prtksxna added a comment.Via ConduitApr 7 2014, 8:56 AM

(In reply to matanya Comment #6)

I have tested it in beta, and it is fixed indeed, though i
have one question, in the attached screenshot the card appears
to the right of the hovered text and not on the left like the
other attachment. why is this happening?

To avoid the Hovercard appearing off-screen we flip the Hovercard on the right side of the screen.

Prtksxna raised the priority of this task from "High" to "Needs Triage".Via WebDec 3 2014, 5:29 AM
Prtksxna moved this task to Archive on the Popups workboard.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.